
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IBM Domino/Notes 9.0 新功能：Notes联邦登录的介绍及其部署使用 / iVAN</title>

    <meta name="description" content="IBM Domino/Notes 9.0 新功能：Notes联邦登录的介绍及其部署使用 引言 对于希望部署并体验 Notes 联邦登录(Federate Login)的用户而言,首先需要知道并理解 Notes 联邦登录实际上是通过 SAML(安全性断言标记语言,Security Assertion Markup Language)来完成的单点登录(Single Sign On)功能,如果用户同时还能够理解&quot;联邦身份&quot;,将对配置部署 Notes 联邦登录有很大的帮助,因为在配置部署过程中需要完成一个步骤来实现联邦身份.下文将先介绍 SAML 以及联邦身份,以此引导 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IBM Domino/Notes 9.0 新功能：Notes联邦登录的介绍及其部署使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>引言</h2>
<p>对于希望部署并体验 Notes 联邦登录（Federate Login）的用户而言，首先需要知道并理解 Notes 联邦登录实际上是通过 SAML（安全性断言标记语言，Security Assertion Markup Language）来完成的单点登录（Single Sign On）功能，如果用户同时还能够理解"联邦身份"，将对配置部署 Notes 联邦登录有很大的帮助，因为在配置部署过程中需要完成一个步骤来实现联邦身份。下文将先介绍 SAML 以及联邦身份，以此引导用户逐步进入 Notes 联邦登录领域，通过 Notes 联邦登录原理的介绍以及实例应用的描述，让用户理解并知道如何部署和使用 IBM Domino/Notes 9.0 新功能：Notes 联邦登录。</p>
<h2>Notes 联邦登录的相关名词介绍</h2>
<p>从概念上讲，Notes 联邦登录属于单点登录的范畴。实现单点登录的方式有很多种，通过 SAML  实现单点登录是其中一种方法，也是当前比较流行的一种方法。Notes 联邦登录的实现，同样离不开 SAML。除此之外，为了更好的理解 Notes 联邦登录，需要在开始部署 Notes 联邦登录之前了解一个名词：联邦身份。</p>
<h3>SAML 与单点登录</h3>
<p>SAML，提供了一个健壮且可扩展的数据格式集，换而言之，SAML 是一个 XML 框架，也就是一组协议和规范。通过 SAML 的该种 XML 框架 / 协议 / 规范，可实现在各种环境下交换数据和身份识别信息（可以用来传输企业用户身份证明）。</p>
<p>单点登录，简称为 SSO。SSO 的定义是在多个应用系统中，用户只需要登录一次就可以访问所有相互信任的应用系统。虽然许多产品提供 WEB 单点登录，但还是需要一种标准使跨不同产品的这种传送成为可能，这也是 SAML 关注的领域。</p>
<p>在 SAML 协议标准中有出现两个角色：一个是 Identity Provider(IdP)，通常 IdP 负责创建、维护和管理用户认证；一个是 Service Provider(SP)，通常 SP 控制用户是否能够使用该 SP 提供的服务和资源。在下文的配置部署过程中，我们可以看到相关的描述。</p>
<h3>联邦身份</h3>
<p>联邦身份，它可以满足 SAML 的定义。它的定义是：联邦身份将来自各个数据源的同一用户数据综合在一起。这个定义很好理解，比如在下文的实例应用中，我们将域用户和 IBM Notes 用户数据综合在一起，即一个唯一的域用户，同时也是 IBM Notes 用户，我们将该用户的数据综合在一起，以实现该域用户登录进域后，不用再使用该域用户对应拥有的 IBM Notes 用户名和密码也能登录访问并使用 IBM Notes 中的资源。或者说，在下文的实例应用中，我们将实现用域用户登录 IBM Notes 并通过身份验证连接并使用 IBM Domino Server 资源。</p>
<h2>Notes 联邦登录原理</h2>
<p>Notes 联邦登录，我们可以用以下文字简单的加以描述：用户通过一组用户名和密码在指定的 IdP 端通过身份验证，用户就可以访问任何的与 IdP 为 Partnered 关系的 SP 端服务器（整个过程基于 SAML）。对于 IdP 和 SP 的理解，在上面章节中已有描述。在下面章节的实例应用中，IdP 端是指 Windows Server 2008 R2 提供的 AD FS 2.0, SP 端是指 IBM Domino Server。</p>
<p>IBM Notes 客户端便是利用了基于 SAML 的身份验证机制，依赖于 XML 身份断言 (XML identity assertions) 使 Notes 联邦登录得以完成。对于本章节的的中心内容 -Notes 联邦登录原理，可以通过下述文字并结合下图（图 1）来理解。</p>
<p>如图所示，用户首先在 IBM Notes 客户端登录并希望访问对应的 SP：IBM Domino Server。在 IBM Domino Server 中有一个 IdP 目录应用程序（idpcat.nsf），该应用程序接受来自客户端的访问请求并基于应用程序中已配置好的 IdP 设置文档中的内容，将登录请求以及登录用户信息（以 SAML 为框架）转给 IdP 服务器，由 IdP 确认该用户是否能够访问 SP 服务器中的资源。IdP 获得信息后，会将确认后的信息以同样的方式传送到 IBM Domino Server 中的 IdP 目录应用程序（idpcat.nsf），由它判断 IBM Domino Server 是否应信任来自指定的 IdP 的 SAML 断言（在 IdP 目录应用程序中存储了指定的 IdP 的公共密钥，用以判断 SAML 断言是否来自指定的 IdP）。IBM Domino Server 根据返回的 SAML 断言信息，决定是否允许用户访问本服务器中的资源。</p>
<h5>图 1. Notes 联邦登录</h5>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkzNDRVVjAtMC5qcGc=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 14:19:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e7%99%bb%e5%bd%95/" title="登录">登录</a>, <a href="https://www.iamivan.net/tag/%e8%ba%ab%e4%bb%bd/" title="身份">身份</a>, <a href="https://www.iamivan.net/tag/ibm/" title="IBM">IBM</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9/" title="单点">单点</a>, <a href="https://www.iamivan.net/tag/notes/" title="notes">notes</a>, <a href="https://www.iamivan.net/tag/shibboleth-idp/" title="shibboleth idp">shibboleth idp</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95%e6%a1%86%e6%9e%b6/" title="单点登录框架">单点登录框架</a>, <a href="https://www.iamivan.net/tag/%e7%94%b3%e8%af%b7%e8%8b%b9%e6%9e%9cidp/" title="申请苹果idp">申请苹果idp</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IBM Domino/Notes 9.0 新功能：Notes联邦登录的介绍及其部署使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL2WJ0b.html" rel="bookmark">Notes联邦登录的介绍及其部署使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				换而言之,该功能支持 Notes 用户通过 SAML Identity provider(IDP)识别自己身份,即 Notes 客户端可以使用 IDP 返回的 SAML 的令牌登陆 Notes,进而取代在 Notes 的登陆界面输入 Notes 用户名和密码登陆 Notes.本文首先介绍了与 Notes 联邦登录紧密相关的两个名词,即 SAML 和联邦身份,并以此为基础描述了 Notes 联邦登录原理,之后通过一个详尽的实例(Notes 联邦登录的部署)对 Notes 联邦登录以及如何应用进行说			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b30VwM.html" rel="bookmark">IIS 5&period;0新功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows 2000的IIS(Internet Information Services) 5.0提供甚麼樣的新功能呢? IIS 5.0新功能如下: l 安全性上:包括摘要式驗證.整合的Windows驗證.SGC (Server-Gated Cryptography ) .Microsoft Certificate Services 2.0.集區處理程序之程式保護等. l 管理上:包括IIS重新啟動.站台CPU使用時間的限制.CPU資源使用記錄.使用終端機服務遠端管理IIS.自訂錯誤訊息等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Y843z.html" rel="bookmark">REDGATE SQLPROMPT 6&period;0新功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:REDGATE SQLPROMPT 6.0新功能 REDGATE SQLPROMPT 6.0新功能 下载地址:http://files.cnblogs.com/lyhabc/SQLPrompt6.02013-11-2.rar (1)自动刷新代码提示,当数据库中有对象更改过之后马上可以看到更改后的内容 (2)tab窗口改变颜色(由数据库操作者自己设置颜色,用来提醒自己当前他自己所操作的数据库是在什么环境下)        注意:这个功能是自己手动设置的不是自动的(这个功能只适用于SQLSER			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBXY7op.html" rel="bookmark">IBM Connections Mail 1&period;0社会化功能及嵌入式用户体验简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Connections Mail 1.0 提供了对传统的邮件和日历的访问服务,这一部分的功能在第一篇文章中有详细的介绍.Connections Mail 1.0 还高效集成了 Connections 4.0 的用户概要文档,文件,博客,论坛,社区等社会化的功能,这些社会化的功能为用户提供了嵌入式的社会体验,从而提高工作效率和社交的可视性.本文将结合邮件和日历的具体应用场景,对 Connections Mail 1.0 这些社会化的用户体验进行详细的介绍. IBM Connections 4.0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AYdDp.html" rel="bookmark">IBM Notes 9 的新功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Notes 9 将支持客户不断创造更高效的工作团队,从各个方面提供更加贴心便捷的用户体验.全新的主页设计,新增的 OneUI 主题,众多 Notes 邮件新功能,日历新功能等等,从界面到功能,无一不是新的惊喜.在下文中,我们将一一为你介绍 Notes 9 这些主要的新特性. 新的 Home 页面:Discover Page Notes 9 引入了全新的 Discover 页面来替换原有的 Get Start 页面.你可以从下面两张图片对他们的区别有一个直观的感受. 图 1. 新的 Discove			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKPg6M.html" rel="bookmark">IBM iNotes 9企业协作新功能&colon;与IBM connections Files和IBM Docs的整合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与 IBM Connections Files 和 IBM Docs 整合是 iNotes9.0 中提供的一个闪亮新特性.IBM Connections Files 是一个企业级信息共享,团队协作的平台.而 IBM Docs 也是一个企业级的在线文件编辑系统.iNotes9.0 与它们的整合有效地提高了企业内部的工作效率,同时也解决了发送,接收大附件所造成的邮件速度过慢,邮件空间受限的困扰. 如何实现这个功能呢?您的企业需部署 IBM Connections 4.0 CR2 和 IBM Docs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NkBmz.html" rel="bookmark">IBM Rational Rhapsody开发环境新功能说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其他添加或增强的重要功能包括:基于 OSLC 集成的单一事实来源:具有来自 TÜV SÜD 的证书,用于 ISO 26262 Road Vehicles Functional Safety 和 IEC 61508 Functional Safety 标准下的开发的参考工作流:增强的用户体验和生产力,使用专注于解决方案的指导来帮助新用户:更新了 UPDM 2.0.SysML 1.3 以及 AUTOSAR 4.0 及 3.2:提高了适用性和性能,改进了系统工程工作流和敏捷的嵌入式和实时软件开发.这些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKaYWp.html" rel="bookmark">&period;NET4&period;0新功能：任务（Task）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用过.NET线程池的程序员都知道通过调用ThreadPool类的QueueUserWorkItem 方法把要执行的代码放入线程池去执行.由于.NET FCL的强大,使得这个操作极 其简便.但使用线程池有个明显的不足之处,那就是我们无法获取线程池执行方 法的返回值,因为WaitCallback委托的返回值为void.注:WaitCallback委托的 原型为:public delegate void WaitCallback(Object state). 比如,我们有个方法代码是这样的: publ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLJYDM.html" rel="bookmark">Android 7&period;0新功能在哪些&quest;安卓7&period;0新功能一览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 7.0预览版已经跟我们见面,我们来简单汇总下,Android 7.0的一些性功能: 1.分屏多任务 其实这个功能,之前不少厂商已经做了,而谷歌终于让7.0原生支持了它,从实际体验来看,点击多任务按键后,长按其中一个应用,将其拖拽到屏幕顶部或底部,然后再点击另外一个应用就可以实现分屏多任务功能. 2.&quot;Data Saver&quot; 这个功能简单来说就是减少App在后台流量偷跑,用户可以设置黑名单,当Data Saver开启后,这些黑名单中的App将会受到流量限制措施,同时谷歌也			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba4dqz.html" rel="bookmark" class="title">web前端开发经验浅谈&colon;分享看过的书籍和成长过程</a>
					<div>
						文章简介:说说我的web前端之路 分享些前端的好书. WEB前端研发工程师,在国内算是一个朝阳职业,这个领域没有学校的正规教育,大多数人都是靠自己自学成才.本文主要介绍自己从事web开发以来(从大二至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLXaZp.html" rel="bookmark" class="title">soso产品总监：产品从业人员的职业技能的4个维度</a>
					<div>
						文章描述:浅谈产品感的培养. 关于产品感的具体化以及培养方式,首先要明确圈定产品经理的范围.软件工程师,大家都知道是个什么样的岗位,而产品经理似乎很多人都存在疑问,在招聘.和人聊天的时候,经常会碰到类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZQA6p.html" rel="bookmark" class="title">Photoshop制作绿色纹理立体文字特效</a>
					<div>
						好的文字需要好的背景来衬托.在制作文字之前需要自己做出一些合适的纹理背景.字体部分的制作并不复制.打好文字后用图层样式做出水晶效果,然后再用滤镜等做出纹理即可.最终效果 1.创建画布,然后设置前景色为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVePQp.html" rel="bookmark" class="title">php的静态变量和静态方法</a>
					<div>
						静态变量也称为类变量,静态方法也称为类方法. 简单的说,静态变量就是所有对象都共享的变量.静态变量也称为类变量,静态方法也称为类方法. 如何定义静态变量 访问修饰符 static 变量名; 如何访问静 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5GDAb.html" rel="bookmark" class="title">识别病毒文件的四个非常不错的方法</a>
					<div>
						我们在使用杀毒软件杀毒的时候,常常会检测出很多&quot;病毒&quot;,许多朋友抱着&quot;宁可错杀一堆,绝不放过一个&quot;的态度,将检测出的&quot;病毒&quot;全部删掉.其实全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxPqkb.html" rel="bookmark" class="title">JDBC基础教程之CallableStatement</a>
					<div>
						概述 CallableStatement 对象为所有的 DBMS 提供了一种以标准形式调用已储存 过程的方法.已储存过程储存在数据库中.对已储存过程的调用是 CallableStatement对象所含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kgy5z.html" rel="bookmark" class="title">Effective C&num;原则42：使用特性进行简单的反射</a>
					<div>
						当你创建了一个与反射相关的系统时,你应该为你自己的类型,方法,以及 属性定义一些自己的特性,这样可以让它们更容易的被访问.自定义的特性标示 了你想让这些方法在运行时如何被使用.特性可以测试一些目标对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr9P4p.html" rel="bookmark" class="title">Eclipse代码显示不全的原因</a>
					<div>
						在我第一个公司时,第一次使用Eclipse时,遇到过一个问题,很烦人.就是在IDE的Edit区域,类的方法显示不全,只能显示一个方法,类的其他部分都看不到. 后来发现,原来是不小心,勿点了Eclips ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NBPWz.html" rel="bookmark" class="title">xp系统备份教程方法</a>
					<div>
						  xp系统备份教程方法          1. 打开&quot;开始菜单&quot;,选择&quot;所有程序→附件→系统工具→备份&quot;项,启动&quot;备份工具&quot;,如果你发现启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxv9Kb.html" rel="bookmark" class="title">ps制作喷涂文字效果教程</a>
					<div>
						  先上效果图: 素材如下: 首先新建一个文件 置入素材并调整 调整人物图层为正片叠底,并调整不透明度 这里可能会有童鞋要问了,主窗口中的蓝色十字线是什么?参考线?怎么调出来? 其实这是参考线,这里其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EWlRM.html" rel="bookmark" class="title">Word2010如何插入复选框</a>
					<div>
						  在日常使用word过程中,常常需要制作一些信息表,有些字段需要进行选择,如性别中的男,女;在做问题调查问卷时,复选框用到的就比较多了,那在word2010中如何插入复选框呢? 步骤 1.打开需要插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLorRb.html" rel="bookmark" class="title">linux常用命令加实例大全</a>
					<div>
						目  录引言    1一.安装和登录    2(一)    login    2(二)    shutdown    2(三)    halt    3(四)    reboot    3(五)    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmB0dz.html" rel="bookmark" class="title">那年的RecyclerView我们从头撸一下</a>
					<div>
						本文讲的是那年的RecyclerView我们从头撸一下,根据Google官方给出的说明:A flexible view for providing a limited window into a la ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NqDYM.html" rel="bookmark" class="title">解决固定导航时锚点偏移问题</a>
					<div>
						最近Bootstrap修改了博客主题,使其支持响应式布局,并且将导航菜单固定住,不随滚到条滚动,这样做带来的影响是Categories和Tags页面点击某一个分类或者标签链接时,锚点定位必然定位于页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAEwKM.html" rel="bookmark" class="title">c&plus;&plus;-VS操作word，往文档中写入如几万条的数据后，保存然后释放资源关闭进程中，会出现进程未退出</a>
					<div>
						问题描述 VS操作word,往文档中写入如几万条的数据后,保存然后释放资源关闭进程中,会出现进程未退出 VS操作word,往文档中写入如几万条的数据后,保存word,然后释放资源关闭winword.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N4GoM.html" rel="bookmark" class="title">fudh环信ios工程师  能不能把你集成音视频的demo发给我1217212724 或者给一个连接</a>
					<div>
						问题描述 解决方案 你好,已经发给你了,自己改下pch文件的路径.解决方案二:收到了,谢谢,麻烦您了解决方案三:实时音视频Demo能否发一下 .. joinfun#foxmail.com解决方案四:我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEr43M.html" rel="bookmark" class="title">浅谈Facebook游戏的运营经验</a>
					<div>
						这个时候,也许在地球的某个角落,某个玩家正在通过Facebook玩一款中国开发的游戏,Facebook作为拥有全球10亿用户的社交网站,正在不停地给国内游戏开发商带来收入. 尽管是社交网络巨头,因为国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4QZPz.html" rel="bookmark" class="title">sql-求大神指导SQL语句怎么写</a>
					<div>
						问题描述 求大神指导SQL语句怎么写 建立了一张活动表 actid int primary key identity(1,1), actname varchar(50) not null, actsh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmdBqM.html" rel="bookmark" class="title">控件-如何做一个asp&period;net的生成工具</a>
					<div>
						问题描述 如何做一个asp.net的生成工具 如何把实体类属性生成asp.net页面,就是我要跟根据一些定义好的属性,例如控件text.控件ID.控件type.控件height等等去生成一个asp.n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKl9Db.html" rel="bookmark" class="title">static 成员变量-成员变量的问题 static修饰符</a>
					<div>
						问题描述 成员变量的问题 static修饰符 为什么成员变量s前面一定要加static,否则就报错 解决方案 这个道理很简单,实例变量是每个对象实例都有的,而静态方法是一个类才有一个的. 看下面的代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RvV8z.html" rel="bookmark" class="title">安全联盟2016上半年网络欺诈数据分析报告</a>
					<div>
						2016年上半年安全联盟共接收各类举报信息47.3万条,其中18.3万条举报经人工核定为恶意网址,占总量的38.55%.这些恶意网址被收录至安全联盟恶意数据库,并同步至腾讯.搜狗.金山等合作伙伴平台进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRwZwb.html" rel="bookmark" class="title">微车CEO徐磊：大数据70&percnt;是伪命题</a>
					<div>
						&quot;已经拥有丰富的联网功能的手机在汽车上能做些什么?&quot;相信这是对汽车的运动数据感兴趣的人们共同关注的话题. 汽车这个四轮盒子已经成为一个人们第二活动的空间.在这个空间下,人们相对静止 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkYQZM.html" rel="bookmark" class="title">新开网店没有人气怎么办？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 很多刚接触网上开店的卖家发现,别人的红红活火,自己的店铺却无人问津,怎么办? 关于提高店铺流量和成交量的方法,无非是把握宝贝发布的时间,社区多发帖回帖, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo1x0M.html" rel="bookmark" class="title">java代码-怎么用java实现定时读取文件</a>
					<div>
						问题描述 怎么用java实现定时读取文件 用timer类实现定时,我不知道在run()方法中怎么实现读取文件. 解决方案 你可以用java自带的定时器Timer,调用timer中的schedule方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQPJlp.html" rel="bookmark" class="title">在信息技术行业年龄歧视极为普遍</a>
					<div>
						然而,英国金融时报称,同时高技能员工短缺问题也广泛存在. 托尼•韦尔斯拥有30年的信息技术行业工作经验,从事过编程.高层管理等工作.2年前,49岁的他决定寻找一份新工作,职业中介于是开始把个人简历发送 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjyq8M.html" rel="bookmark" class="title">不要只局限于SEO  谈推广的多元化</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在很多新手思想都非常的局限,他们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNBAdM.html" rel="bookmark" class="title">《NTFS文件系统扇区存储探秘》&mdash;&mdash;2&period;3　FAT32的扇区分配</a>
					<div>
						2.3 FAT32的扇区分配 NTFS文件系统扇区存储探秘 FAT32文件系统可以认为是扩展了的FAT16文件系统,因为它的数据结构基本上与FAT16文件系统相同.如FAT表的结构是相同的,只不过簇登 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QZ67p.html" rel="bookmark" class="title">AJAX开发简略 &lpar;第一部分&rpar;&lowbar;AJAX相关</a>
					<div>
						在使用浏览器浏览网页的时候,当页面刷新很慢的时候,你的浏览器在干什么?你的屏幕内容是什么?是的,你的浏览器在等待刷新,而你的屏幕内容是一片空白,而你在屏幕前苦苦的等待浏览器的响应.开发人员为了克服这种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NJQob.html" rel="bookmark" class="title">C语言查找数组里数字重复次数的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C语言查找数组里数字重复次数的方法.分享给大家供大家参考.具体如下: #include &quot;stdafx.h&quot; #include&lt;stdio.h&gt; #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYEwab.html" rel="bookmark" class="title">js判断浏览器类型及设备（移动页面开发）&lowbar;javascript技巧</a>
					<div>
						下面主要用javascript代码来判断浏览器类型及设备访问该网页面,支持手机上的所有浏览器,具体代码如下. &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&g ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
